# This file is released under GPL license
# Copyright (C) 2003 by Roberto Natella
# roberto.natella@virgilio.it

import os

iconpath = "/opt/kde/share/icons/crystalsvg/"

def kontextbar_main(dir, lastmodif, lastread):
	
        mydir = dir
	mydir = (mydir.split(':'))[-1]

	home = os.path.expanduser("~")
        
        html = '''

        <html>
        <head>
        <link rel="stylesheet" href="keramik.css">
        <script type="text/javascript" src="sidebar.js">
        </script>
        </head>
        <body onLoad="chcol('1');">
        <script type="text/javascript">

        setIconPath("'''+iconpath+'''");

        box("actions/launch.png", "Shortcuts", new Array(
          new Array("actions/gohome.png", "Home", "'''+home+'''"),
          new Array("filesystems/folder_sound.png", "Music", "'''+home+'''/mp3/"),
          new Array("filesystems/folder_yellow.png", "Public", "'''+home+'''/public_html")));
          
        box("actions/cd.png", "Devices", new Array(
          new Array("devices/3floppy_unmount.png","Floppy","/mnt/floppy/"),
          new Array("devices/cdrom_unmount.png","CD-Rom","/mnt/cdrom/"),
          new Array("devices/hdd_unmount.png","Windows","/mnt/win") ));
        
        box("actions/contents.png", "This dir", new Array(
          new Array("mimetypes/html.png","'''+mydir+'''","'''+mydir+'''"),
          new Array("mimetypes/html.png","Last access: '''+lastread+'''","'''+mydir+'''"),
          new Array("mimetypes/html.png","Last modify: '''+lastmodif+'''","'''+mydir+'''") ));

        </script>
        </body>
        </html>
        
        '''

	return html



def kontextbar_preview(url, user, group, permissions, icon, mimetype):

	width = "120"
	height = "120"

	home = os.path.expanduser("~")

	extension = (url.split('.'))[-1]

        html = '''
        
        <html>
        <head>
        <link rel="stylesheet" href="keramik.css">
        <script type="text/javascript" src="sidebar.js">
        </script>
        </head>
        <body onLoad="chcol('1');">
        <script type="text/javascript">

        setIconPath("'''+iconpath+'''");

        box("actions/launch.png", "Shortcuts", new Array(
          new Array("actions/gohome.png", "Home", "'''+home+'''"),
          new Array("filesystems/folder_sound.png", "Music", "'''+home+'''/mp3/"),
          new Array("filesystems/folder_yellow.png", "Public", "'''+home+'''/public_html")));
          
        box("actions/cd.png", "Devices", new Array(
          new Array("devices/3floppy_unmount.png","Floppy","/mnt/floppy/"),
          new Array("devices/cdrom_unmount.png","CD-Rom","/mnt/cdrom/"),
          new Array("devices/hdd_unmount.png","Windows","/mnt/win") ));

        </script>

	<div class="window" onClick="Javascript:chcol('4');" id="window4">
        <span>
        <img src="'''+iconpath+'''/22x22/actions/contents.png" class="title">
	Preview
	<img src="'''+iconpath+'''/16x16/actions/1uparrow.png" style="cursor:hand" id="arrow4" align="right" onClick="Javascript:hide(\'4\');this.blur();">
        </span>
	<div class="subborder" id="subborder4"><div class="sub" id="sub4">

	<br>
	<div align="center">
	'''
	
	if( extension == "png" or extension == "gif" or extension == "jpg" ):
		html += '''
		<a href="'''+url+'''">
                <img src="'''+url+'''" height="'''+height+'''" width="'''+width+'''">
		</a>
		'''
	else:
		html += '''
		<a href="'''+url+'''"><img src="'''+icon+'''"></a>
		'''

	html += '''
	</div>
	<div align="left">
	<br>
	<i>Owner:</i> <b>'''+user+'''</b>
	<br>
	<i>Group:</i> <b>'''+group+'''</b>
	<br>
	<i>Permissions:</i> <b>'''+permissions+'''</b>
	<br>
	<i>Mimetype:</i> <b>'''+mimetype+'''</b>
	</div>

  	<div style="display:none;height:70" id="hiddenheight4"></div>
	</div>
        </div>


        </body>
        </html>
        
        '''

	return html

